/// <reference types="react" />
import { BaseTextEntryControl } from "./BaseTextEntryControl";
import { Variant as TextVariant } from "@material-ui/core/styles/createTypography";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
export declare class XInlineTextEdit extends BaseTextEntryControl {
    type: TextVariant;
    focusControl(): void;
    render(): JSX.Element;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    renderEditUI(): JSX.Element | null;
}
